MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions
IOThread.hxx File Reference
`#include "Compiler.h"`
Include dependency graph for IOThread.hxx:

Go to the source code of this file.

## Functions
void | io_thread_init ()
void | io_thread_start ()
void | io_thread_run ()
| Run the I/O event loop synchronously in the current thread. More...
void | io_thread_quit ()
| Ask the I/O thread to quit, but does not wait for it. More...
void | io_thread_deinit ()
gcc_const EventLoop & | io_thread_get ()
gcc_pure bool | io_thread_inside ()
| Is the current thread the I/O thread? More...

## Function Documentation

void io_thread_deinit | ( |  | ) |

gcc_const EventLoop& io_thread_get | ( |  | ) |

void io_thread_init | ( |  | ) |

gcc_pure bool io_thread_inside | ( |  | ) |

Is the current thread the I/O thread?

void io_thread_quit | ( |  | ) |

Ask the I/O thread to quit, but does not wait for it.

Usually, you don't need to call this function, because io_thread_deinit() includes this.

void io_thread_run | ( |  | ) |

Run the I/O event loop synchronously in the current thread.

This can be called instead of io_thread_start(). For testing purposes only.

void io_thread_start | ( |  | ) |